<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>DPathSearchUnit.DPathFilter</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathSearchUnit.DPathFilter";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.DPathFilter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.DPathFilter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Class DPathSearchUnit.DPathFilter" class="title">Class DPathSearchUnit.DPathFilter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.search.DPathSearchUnit.DPathFilter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">DPathSearchUnit.DPathFilter</span>
extends java.lang.Object
implements <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></pre>
<div class="block">Filter an entry set using the mapped result of search units process list applied over the entry set</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#filters">filters</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#type">type</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#DPathSearchUnit.DPathFilter(java.util.ArrayList)">DPathSearchUnit.DPathFilter</a></strong>(java.util.ArrayList&lt;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;&nbsp;filters)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#apply(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>
<div class="block">Apply the function over an entry set</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="type">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>public&nbsp;java.lang.String type</pre>
</li>
</ul>
<a name="filters">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>filters</h4>
<pre>private&nbsp;java.util.ArrayList&lt;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt; filters</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathSearchUnit.DPathFilter(java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathSearchUnit.DPathFilter</h4>
<pre>public&nbsp;DPathSearchUnit.DPathFilter(java.util.ArrayList&lt;<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a>&gt;&nbsp;filters)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="apply(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement, java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>apply</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;&nbsp;apply(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a>&nbsp;sentence,
                                                                        java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html#apply(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement,%20java.util.ArrayList)">DPathSearchUnit.DPathSearchFunction</a></code></strong></div>
<div class="block">Apply the function over an entry set</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html#apply(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>sentence</code> - the base sentence, context of the entry</dd><dd><code>entry</code> - the entry set, list of nodes or edges</dd>
<dt><span class="strong">Returns:</span></dt><dd>the mapped result of the function applied over the set</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.DPathFilter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.DPathFilter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
